#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Support library for GNOME games
Summary(pl.UTF-8):	Biblioteka wspierająca dla gier GNOME
Name:		libgnome-games-support
Version:	1.2.3
Release:	1
License:	LGPL v3+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnome-games-support/1.2/%{name}-%{version}.tar.xz
# Source0-md5:	aa450e7cf337452270d358c8905d8f8f
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gtk+3-devel >= 3.20.0
BuildRequires:	libgee-devel >= 0.8
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	vala >= 2:0.24.0
Requires:	glib2 >= 1:2.40.0
Requires:	gtk+3 >= 3.20.0
Provides:	libgames-support = %{version}-%{release}
Obsoletes:	libgames-support < 1.2.0-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgnome-games-support is a small library intended for internal use by
GNOME Games, but it may be used by others. The API will only break
with the major version number. The ABI is unstable.

%description -l pl.UTF-8
libgnome-games-support to mała biblioteka przeznaczona do użytku
wewnętrznego gier ze środowiska GNOME, ale może być wykorzystywana
także przez innych. API może się zmieniać tylko wraz z głównym numerem
wersji; ABI nie jest stabilne.

%package devel
Summary:	Header files for libgnome-games-support library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgnome-games-support
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.40.0
Requires:	gtk+3-devel >= 3.20.0
Provides:	libgames-support-devel = %{version}-%{release}
Obsoletes:	libgames-support-devel < 1.2.0-1

%description devel
Header files for libgnome-games-support library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgnome-games-support.

%package static
Summary:	Static libgnome-games-support library
Summary(pl.UTF-8):	Statyczna biblioteka libgnome-games-support
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	libgames-support-static = %{version}-%{release}
Obsoletes:	libgames-support-static < 1.2.0-1

%description static
Static libgnome-games-support library.

%description static -l pl.UTF-8
Statyczna biblioteka libgnome-games-support.

%package -n vala-libgnome-games-support
Summary:	Vala API for libgnome-games-support library
Summary(pl.UTF-8):	API języka Vala do bibliotek libgnome-games-support
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	vala-libgames-support = %{version}-%{release}
Obsoletes:	vala-libgames-support < 1.2.0-1
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-libgnome-games-support
Vala API for libgnome-games-support library.

%description -n vala-libgnome-games-support -l pl.UTF-8
API języka Vala do bibliotek libgnome-games-support.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libdir}/libgnome-games-support-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnome-games-support-1.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-games-support-1.so
%{_includedir}/gnome-games-support-1
%{_pkgconfigdir}/libgnome-games-support-1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgnome-games-support-1.a
%endif

%files -n vala-libgnome-games-support
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libgnome-games-support-1.vapi
%changelog
* Wed Sep 13 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgnome-games-support.git;a=log;h=master

* Wed Sep 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> cfa2aec
- Update to 1.2.3

* Wed Jun 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 5bf4388
- Update to 1.2.2

* Thu Oct 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 594fdc4
- Update to 1.2.1

* Sun Sep 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 490df34
- BR: gettext-tools

* Mon Sep 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 444a1b2
- Renamed to libgnome-games-support and updated to 1.2.0

* Thu May 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 518bff2
- updated to 1.0.2
- unified GNOME Source URL

* Sun Apr 10 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 99ab61d
- Update to 1.0.1

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 6b42a81
- noarch vala subpackage

* Thu Mar 24 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 12402aa
- Update to 1.0 (new soname)

* Thu Nov 12 2015 Jakub Bogusz <qboosh@pld-linux.org> f349931
- updated to 0.2

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> ab389d4
- release 2

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 4c688f6
- pl
- added -static (on bcond), standard vala- split

* Tue Oct 13 2015 Marcin Banasiak <marcin.banasiak@gmail.com> c8018e9
- Initial release

